searchNodes=[{"doc":"The ConfigCat Elixir SDK.ConfigCat provides a Supervisor that must be added to your applications supervision tree and an API for accessing your ConfigCat settings.Add ConfigCat to Your Supervision TreeYour application's supervision tree might need to be different, but the most basic approach is to add ConfigCat as a child of your top-most supervisor.# lib/my_app/application.ex def start(_type, _args) do children = [ # ... other children ... {ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;]} ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) endIf you need to run more than one instance of ConfigCat, you can add multiple ConfigCat children. You will need to give ConfigCat a unique name option for each, as well as using Supervisor.child_spec/2 to provide a unique id for each instance.# lib/my_app/application.ex def start(_type, _args) do children = [ # ... other children ... Supervisor.child_spec({ConfigCat, [sdk_key: &quot;sdk_key_1&quot;, name: :first]}, id: :config_cat_1), Supervisor.child_spec({ConfigCat, [sdk_key: &quot;sdk_key_2&quot;, name: :second]}, id: :config_cat_2), ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) endOptionsConfigCat takes a number of other keyword arguments:sdk_key: REQUIRED The SDK key for accessing your ConfigCat settings. Go to the Connect your application tab to get your SDK key.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;]}base_url: OPTIONAL Allows you to specify a custom URL for fetching your ConfigCat settings.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, base_url: &quot;https://my-cdn.example.com&quot;]}cache: OPTIONAL Custom cache implementation. By default, ConfigCat uses its own in-memory cache, but you can also provide the name of a module that implements the ConfigCat.ConfigCache behaviour if you want to provide your own cache (e.g. based on Redis). If your cache implementation requires supervision, it is your application's responsibility to provide that.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, cache: MyCustomCacheModule]}cache_policy: OPTIONAL Specifies the polling mode used by ConfigCat. Defaults to auto-polling mode with a 60 second poll interval. You can specify a different polling mode or polling interval using ConfigCat.CachePolicy.auto/1, ConfigCat.CachePolicy.lazy/1, or ConfigCat.CachePolicy.manual/0.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, cache_policy: ConfigCat.CachePolicy.manual()]}connect_timeout: OPTIONAL timeout for establishing a TCP or SSL connection, in milliseconds. Default is 8000.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, connect_timeout: 8000]}data_governance: OPTIONAL Describes the location of your feature flag and setting data within the ConfigCat CDN. This parameter needs to be in sync with your Data Governance preferences. Defaults to :global. More about Data Governance.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, data_governance: :eu_only]}flag_overrides: OPTIONAL Specify a data source to use for local flag overrides. The data source must implement the ConfigCat.OverrideDataSource protocol. ConfigCat.LocalFileDataSource and ConfigCat.LocalMapDataSource are provided for you to use.http_proxy: OPTIONAL Specify this option if you need to use a proxy server to access your ConfigCat settings. You can provide a simple URL, like https://my_proxy.example.com or include authentication information, like https://user:password@my_proxy.example.com/.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, http_proxy: &quot;https://my_proxy.example.com&quot;]}name: OPTIONAL A unique identifier for this instance of ConfigCat. Defaults to ConfigCat. Must be provided if you need to run more than one instance of ConfigCat in the same application. If you provide a name, you must then pass that name to all of the API functions using the client option.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, name: :unique_name]}ConfigCat.get_value(&quot;setting&quot;, &quot;default&quot;, client: :unique_name)read_timeout: OPTIONAL timeout for receiving an HTTP response from the socket, in milliseconds. Default is 5000.{ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;, read_timeout: 5000]}Use the APIOnce ConfigCat has been started as part of your application's supervision tree, you can use its API to access your settings.ConfigCat.get_value(&quot;isMyAwesomeFeatureEnabled&quot;, false)By default, all of the public API functions will communicate with the default instance of the ConfigCat application.If you are running multiple instances of ConfigCat, you must provide the client option to the functions, passing along the unique name you specified above.ConfigCat.get_value(&quot;isMyAwesomeFeatureEnabled&quot;, false, client: :second)","ref":"ConfigCat.html","title":"ConfigCat","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"ConfigCat.html#child_spec/1","title":"ConfigCat.child_spec/1","type":"function"},{"doc":"Force a refresh of the configuration from ConfigCat's CDN.Depending on the polling mode you're using, ConfigCat may automatically fetch your configuration during normal operation. Call this function to force a manual refresh when you want one.If you are using manual polling mode (ConfigCat.CachePolicy.manual/0), this is the only way to fetch your configuration.Returns :ok.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#force_refresh/1","title":"ConfigCat.force_refresh/1","type":"function"},{"doc":"Queries all settings keys in your configuration.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_all_keys/1","title":"ConfigCat.get_all_keys/1","type":"function"},{"doc":"Fetches the values of all feature flags or settings from your configuration.To use ConfigCat's targeting feature, provide a ConfigCat.User struct containing the information used by the targeting rules.Returns a map of all key value pairs.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_all_values/2","title":"ConfigCat.get_all_values/2","type":"function"},{"doc":"See get_all_variation_ids/2.","ref":"ConfigCat.html#get_all_variation_ids/1","title":"ConfigCat.get_all_variation_ids/1","type":"function"},{"doc":"Retrieves a list of all variation ids from your configuration.To use ConfigCat's targeting feature, provide a ConfigCat.User struct containing the information used by the targeting rules.Returns a list of all variation ids.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_all_variation_ids/2","title":"ConfigCat.get_all_variation_ids/2","type":"function"},{"doc":"Fetches the name and value of the setting corresponding to a variation id.Returns a tuple containing the setting name and value, or nil if an error occurs.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_key_and_value/2","title":"ConfigCat.get_key_and_value/2","type":"function"},{"doc":"See get_value/4.","ref":"ConfigCat.html#get_value/3","title":"ConfigCat.get_value/3","type":"function"},{"doc":"Retrieves a setting value from your configuration.Retrieves the setting named key from your configuration. To use ConfigCat's targeting feature, provide a ConfigCat.User struct containing the information used by the targeting rules.Returns the value of the setting, or default_value if an error occurs.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_value/4","title":"ConfigCat.get_value/4","type":"function"},{"doc":"See get_variation_id/4.","ref":"ConfigCat.html#get_variation_id/3","title":"ConfigCat.get_variation_id/3","type":"function"},{"doc":"Retrieves the variation id for a setting from your configuration.Retrieves the setting named key from your configuration. To use ConfigCat's targeting feature, provide a ConfigCat.User struct containing the information used by the targeting rules.Returns the variation id of the setting, or default_variation_id if an error occurs.Optionsclient: If you are running multiple instances of ConfigCat, provide the client: :unique_name option, specifying the name you configured for the instance you want to access.","ref":"ConfigCat.html#get_variation_id/4","title":"ConfigCat.get_variation_id/4","type":"function"},{"doc":"Starts an instance of ConfigCat.Normally not called directly by your code. Instead, it will be called by your application's Supervisor once you add ConfigCat to its supervision tree.","ref":"ConfigCat.html#start_link/1","title":"ConfigCat.start_link/1","type":"function"},{"doc":"Options that can be passed to all API functions.","ref":"ConfigCat.html#t:api_option/0","title":"ConfigCat.api_option/0","type":"type"},{"doc":"Data Governance modeMore about Data Governance","ref":"ConfigCat.html#t:data_governance/0","title":"ConfigCat.data_governance/0","type":"type"},{"doc":"Identifier of a specific instance of ConfigCat.","ref":"ConfigCat.html#t:instance_id/0","title":"ConfigCat.instance_id/0","type":"type"},{"doc":"The name of a configuration setting.","ref":"ConfigCat.html#t:key/0","title":"ConfigCat.key/0","type":"type"},{"doc":"An option that can be provided when starting ConfigCat.","ref":"ConfigCat.html#t:option/0","title":"ConfigCat.option/0","type":"type"},{"doc":"","ref":"ConfigCat.html#t:options/0","title":"ConfigCat.options/0","type":"type"},{"doc":"The return value of the force_refresh/1 function.","ref":"ConfigCat.html#t:refresh_result/0","title":"ConfigCat.refresh_result/0","type":"type"},{"doc":"The actual value of a configuration setting.","ref":"ConfigCat.html#t:value/0","title":"ConfigCat.value/0","type":"type"},{"doc":"The name of a variation being tested.","ref":"ConfigCat.html#t:variation_id/0","title":"ConfigCat.variation_id/0","type":"type"},{"doc":"Represents the polling mode used by ConfigCat.The ConfigCat SDK supports 3 different polling mechanisms to acquire the setting values from ConfigCat. After the latest setting values are downloaded, they are stored in the internal cache and all requests are served from there.With the following polling modes, you can customize the SDK to best fit to your application's lifecycle.Auto polling (default)The ConfigCat SDK downloads the latest values and stores them automatically on a regular schedule.See auto/1 below for details.Lazy loadingWhen calling any of the public API functions (like get_value()), the ConfigCat SDK downloads the latest setting values if they are not present or have expired. In this case the function will wait until the settings have been fetched before returning.See lazy/1 below for details.Manual pollingManual polling gives you full control over when the setting values are downloaded. ConfigCat SDK will not update them automatically. Calling ConfigCat.force_refresh/1 is your application's responsibility.See manual/0 below for details.","ref":"ConfigCat.CachePolicy.html","title":"ConfigCat.CachePolicy","type":"module"},{"doc":"Auto-polling mode.The ConfigCat SDK downloads the latest values and stores them automatically on a regular schedule.Use the poll_interval_seconds option to change the polling interval. Defaults to 60 seconds if not specified.ConfigCat.CachePolicy.auto(poll_interval_seconds: 60)If you want your application to be notified whenever a new configuration is available, provide a 0-arity callback function using the on_change option.The on_change callback is called asynchronously (using Task.start). Any exceptions raised are caught and logged.ConfigCat.CachePolicy.auto(on_changed: callback)","ref":"ConfigCat.CachePolicy.html#auto/1","title":"ConfigCat.CachePolicy.auto/1","type":"function"},{"doc":"Lazy polling mode.When calling any of the public API functions (like get_value()), the ConfigCat SDK downloads the latest setting values if they are not present or have expired. In this case the function will wait until the settings have been fetched before returning.Use the required cache_expiry_seconds option to set the cache lifetime.ConfigCat.CachePolicy.lazy(cache_expiry_seconds: 300)","ref":"ConfigCat.CachePolicy.html#lazy/1","title":"ConfigCat.CachePolicy.lazy/1","type":"function"},{"doc":"Manual polling mode.Manual polling gives you full control over when the setting values are downloaded. ConfigCat SDK will not update them automatically. Calling ConfigCat.force_refresh/1 is your application's responsibility.ConfigCat.CachePolicy.manual()","ref":"ConfigCat.CachePolicy.html#manual/0","title":"ConfigCat.CachePolicy.manual/0","type":"function"},{"doc":"Options for auto-polling mode.","ref":"ConfigCat.CachePolicy.html#t:auto_options/0","title":"ConfigCat.CachePolicy.auto_options/0","type":"type"},{"doc":"Options for lazy-polling mode.","ref":"ConfigCat.CachePolicy.html#t:lazy_options/0","title":"ConfigCat.CachePolicy.lazy_options/0","type":"type"},{"doc":"Callback to call when configuration changes.","ref":"ConfigCat.CachePolicy.html#t:on_changed_callback/0","title":"ConfigCat.CachePolicy.on_changed_callback/0","type":"type"},{"doc":"The polling mode","ref":"ConfigCat.CachePolicy.html#t:t/0","title":"ConfigCat.CachePolicy.t/0","type":"opaque"},{"doc":"Defines configuration-related types used in the rest of the library.","ref":"ConfigCat.Config.html","title":"ConfigCat.Config","type":"module"},{"doc":"The name of a configuration setting.","ref":"ConfigCat.Config.html#t:key/0","title":"ConfigCat.Config.key/0","type":"type"},{"doc":"A collection of configuration settings.","ref":"ConfigCat.Config.html#t:t/0","title":"ConfigCat.Config.t/0","type":"type"},{"doc":"The actual value of a configuration setting.","ref":"ConfigCat.Config.html#t:value/0","title":"ConfigCat.Config.value/0","type":"type"},{"doc":"The name of a variation being tested.","ref":"ConfigCat.Config.html#t:variation_id/0","title":"ConfigCat.Config.variation_id/0","type":"type"},{"doc":"Defines a configuration cache.A calling application can optionally supply its own cache implementation to use in place of the default in-memory cache by providing the implementation's module name as the :cache option in ConfigCat.start_link/1.The provided implementation must explicitly or implicitly implement this behaviour.If the cache implementation is a GenServer or similar, it is the calling application's responsibility to add it to its own supervision tree.","ref":"ConfigCat.ConfigCache.html","title":"ConfigCat.ConfigCache","type":"behaviour"},{"doc":"Fetches the configuration stored under the given cache key.Returns {:ok, config} if there is a cached configuration or {:error, :not_found} if not.","ref":"ConfigCat.ConfigCache.html#c:get/1","title":"ConfigCat.ConfigCache.get/1","type":"callback"},{"doc":"Stores an updated configuration under the given cache key.Returns :ok.","ref":"ConfigCat.ConfigCache.html#c:set/2","title":"ConfigCat.ConfigCache.set/2","type":"callback"},{"doc":"The cache key under which the configuration is stored","ref":"ConfigCat.ConfigCache.html#t:key/0","title":"ConfigCat.ConfigCache.key/0","type":"type"},{"doc":"The result of a cache fetch.","ref":"ConfigCat.ConfigCache.html#t:result/0","title":"ConfigCat.ConfigCache.result/0","type":"type"},{"doc":"Load flag overrides from a file.See ConfigCat.OverrideDataSource for more details.","ref":"ConfigCat.LocalFileDataSource.html","title":"ConfigCat.LocalFileDataSource","type":"module"},{"doc":"Create a ConfigCat.OverrideDataSource that loads overrides from a file.","ref":"ConfigCat.LocalFileDataSource.html#new/2","title":"ConfigCat.LocalFileDataSource.new/2","type":"function"},{"doc":"","ref":"ConfigCat.LocalFileDataSource.html#t:t/0","title":"ConfigCat.LocalFileDataSource.t/0","type":"type"},{"doc":"Use flag overrides from a provided Map.See ConfigCat.OverrideDataSource for more details.","ref":"ConfigCat.LocalMapDataSource.html","title":"ConfigCat.LocalMapDataSource","type":"module"},{"doc":"Create a ConfigCat.OverrideDataSource from a map of flag/value pairs.","ref":"ConfigCat.LocalMapDataSource.html#new/2","title":"ConfigCat.LocalMapDataSource.new/2","type":"function"},{"doc":"","ref":"ConfigCat.LocalMapDataSource.html#t:t/0","title":"ConfigCat.LocalMapDataSource.t/0","type":"type"},{"doc":"Don't provide any local flag overrides.Used to avoid is_nil checks in the rest of the code.See ConfigCat.OverrideDataSource for more details.","ref":"ConfigCat.NullDataSource.html","title":"ConfigCat.NullDataSource","type":"module"},{"doc":"Create a ConfigCat.OverrideDataSource that does nothing.","ref":"ConfigCat.NullDataSource.html#new/0","title":"ConfigCat.NullDataSource.new/0","type":"function"},{"doc":"","ref":"ConfigCat.NullDataSource.html#t:t/0","title":"ConfigCat.NullDataSource.t/0","type":"type"},{"doc":"Data source for local overrides of feature flags and settings.With flag overrides you can overwrite the feature flags &amp; settings downloaded from the ConfigCat CDN with local values. Moreover, you can specify how the overrides should apply over the downloaded values. See behaviour/0.","ref":"ConfigCat.OverrideDataSource.html","title":"ConfigCat.OverrideDataSource","type":"protocol"},{"doc":"Return the selected flag override behaviour.","ref":"ConfigCat.OverrideDataSource.html#behaviour/1","title":"ConfigCat.OverrideDataSource.behaviour/1","type":"function"},{"doc":"Return the local flag overrides from the data source.","ref":"ConfigCat.OverrideDataSource.html#overrides/1","title":"ConfigCat.OverrideDataSource.overrides/1","type":"function"},{"doc":"Flag override behaviour.The following 3 behaviours are supported:Local/Offline mode (:local_only): When evaluating values, the SDK will not use feature flags &amp; settings from the ConfigCat CDN, but it will use all feature flags &amp; settings that are loaded from local-override sources.Local over remote (:local_over_remote): When evaluating values, the SDK will use all feature flags &amp; settings that are downloaded from the ConfigCat CDN, plus all feature flags &amp; settings that are loaded from local-override sources. If a feature flag or a setting is defined both in the downloaded and the local-override source then the local-override version will take precedence.Remote over local (:remote_over_local): When evaluating values, the SDK will use all feature flags &amp; settings that are downloaded from the ConfigCat CDN, plus all feature flags &amp; settings that are loaded from local-override sources. If a feature flag or a setting is defined both in the downloaded and the local-override source then the downloaded version will take precedence.","ref":"ConfigCat.OverrideDataSource.html#t:behaviour/0","title":"ConfigCat.OverrideDataSource.behaviour/0","type":"type"},{"doc":"","ref":"ConfigCat.OverrideDataSource.html#t:t/0","title":"ConfigCat.OverrideDataSource.t/0","type":"type"},{"doc":"Represents a user in your system; used for ConfigCat's Targeting feature.The User Object is an optional parameter when getting a feature flag or setting value from ConfigCat. It allows you to pass potential Targeting rule variables to the ConfigCat SDK.Has the following properties:identifier: REQUIRED We recommend using a UserID, Email address, or SessionID. Enables ConfigCat to differentiate your users from each other and to evaluate the setting values for percentage-based targeting.country: OPTIONAL Fill this for location or country-based targeting. e.g: Turn on a feature for users in Canada only.email: OPTIONAL By adding this parameter you will be able to create Email address-based targeting. e.g: Only turn on a feature for users with @example.com addresses.custom: OPTIONAL This parameter will let you create targeting based on any user data you like. e.g: Age, Subscription type, User role, Device type, App version number, etc. custom is a map containing string or atom keys and string values. When evaluating targeting rules, keys are case-sensitive, so make sure you specify your keys with the same capitalization as you use when defining your targeting rules.While ConfigCat.User is a struct, we also provide the new/2 function to make it easier to create a new user object. Pass it the identifier and then either a keyword list or map containing the other properties you want to specify.e.g. ConfigCat.User.new(&quot;IDENTIFIER&quot;, email: &quot;user@example.com&quot;)","ref":"ConfigCat.User.html","title":"ConfigCat.User","type":"module"},{"doc":"Creates a new ConfigCat.User struct.This is provided as a convenience to make it easier to create a new user object.Pass it the identifier and then either a keyword list or map containing the other properties you want to specify.e.g. ConfigCat.User.new(&quot;IDENTIFIER&quot;, email: &quot;user@example.com&quot;)","ref":"ConfigCat.User.html#new/2","title":"ConfigCat.User.new/2","type":"function"},{"doc":"Custom properties for additional targeting options.Can use either atoms or strings as keys; values must be strings. Keys are case-sensitive and must match the targeting rule exactly.","ref":"ConfigCat.User.html#t:custom/0","title":"ConfigCat.User.custom/0","type":"type"},{"doc":"Additional values for creating a User struct.Can be either a keyword list or a maps, but any keys that don't match the field names of t:t() will be ignored.","ref":"ConfigCat.User.html#t:options/0","title":"ConfigCat.User.options/0","type":"type"},{"doc":"The ConfigCat user object.","ref":"ConfigCat.User.html#t:t/0","title":"ConfigCat.User.t/0","type":"type"},{"doc":"Contributing to the ConfigCat SDK for ElixirConfigCat SDK is an open source project. Feedback and contribution are welcome. Contributions are made to this repo via Issues and Pull Requests.","ref":"contributing.html","title":"Contributing to the ConfigCat SDK for Elixir","type":"extras"},{"doc":"The ConfigCat SDK team monitors the issue tracker in the SDK repository. Bug reports and feature requests specific to this SDK should be filed in this issue tracker. The team will respond to all newly filed issues.","ref":"contributing.html#submitting-bug-reports-and-feature-requests","title":"Contributing to the ConfigCat SDK for Elixir - Submitting bug reports and feature requests","type":"extras"},{"doc":"We encourage pull requests and other contributions from the community. Before submitting pull requests, ensure that all temporary or unintended code is removed.Be accompanied by a complete Pull Request template (loaded automatically when a PR is created).Add unit or integration tests for fixed or changed functionality.When you submit a pull request or otherwise seek to include your change in the repository, you waive all your intellectual property rights, including your copyright and patent claims for the submission. For more details please read the contribution agreement.In general, we follow the &quot;fork-and-pull&quot; Git workflowFork the repository to your own Github accountClone the project to your machineCreate a branch locally with a succinct but descriptive nameCommit changes to the branchFollowing any formatting and testing guidelines specific to this repoPush changes to your forkOpen a PR in our repository and follow the PR template so that we can efficiently review the changes.","ref":"contributing.html#submitting-pull-requests","title":"Contributing to the ConfigCat SDK for Elixir - Submitting pull requests","type":"extras"},{"doc":"Install Elixir development environment.To install dependencies:mix local.rebar --force mix local.hex --force mix deps.get","ref":"contributing.html#build-instructions","title":"Contributing to the ConfigCat SDK for Elixir - Build instructions","type":"extras"},{"doc":"mix test","ref":"contributing.html#running-tests","title":"Contributing to the ConfigCat SDK for Elixir - Running tests","type":"extras"},{"doc":"ConfigCat SDK for Elixirhttps://configcat.comConfigCat SDK for Elixir provides easy integration for your application to ConfigCat.ConfigCat is a feature flag and configuration management service that lets you separate releases from deployments. You can turn your features ON/OFF using ConfigCat Dashboard even after they are deployed. ConfigCat lets you target specific groups of users based on region, email or any other custom user attribute.ConfigCat is a hosted feature flag service. Manage feature toggles across frontend, backend, mobile, desktop apps. Alternative to LaunchDarkly. Management app + feature flag SDKs. Getting Started1. Add configcat to your list of dependencies in mix.exs:def deps do [ {:configcat, &quot;~&gt; 2.0.0&quot;} ] end2. Go to the &lt;a href=&quot;https://app.configcat.com/sdkkey&quot; target=&quot;_blank&quot;&gt;ConfigCat Dashboard&lt;/a&gt; to get your SDK Key:3. Add ConfigCat to your application Supervisor tree:def start(_type, _args) do children = [ {ConfigCat, [sdk_key: &quot;YOUR SDK KEY&quot;]}, MyApp ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) end4. Get your setting value:isMyAwesomeFeatureEnabled = ConfigCat.get_value(&quot;isMyAwesomeFeatureEnabled&quot;, false) if isMyAwesomeFeatureEnabled do do_the_new_thing() else do_the_old_thing() end","ref":"readme.html","title":"ConfigCat SDK for Elixir","type":"extras"},{"doc":"Using this feature, you will be able to get different setting values for different users in your application by passing a ConfigCat.User object to the ConfigCat.get_value/3 function.Read more about Targeting here.user = ConfigCat.User.new(&quot;#USER-IDENTIFIER#&quot;) isMyAwesomeFeatureEnabled = ConfigCat.get_value(&quot;isMyAwesomeFeatureEnabled&quot;, false, user) if isMyAwesomeFeatureEnabled do do_the_new_thing() else do_the_old_thing() end","ref":"readme.html#getting-user-specific-setting-values-with-targeting","title":"ConfigCat SDK for Elixir - Getting user specific setting values with Targeting","type":"extras"},{"doc":"Sample Console Apps","ref":"readme.html#sample-demo-apps","title":"ConfigCat SDK for Elixir - Sample/Demo apps","type":"extras"},{"doc":"The ConfigCat SDK supports 3 different polling mechanisms to acquire the setting values from ConfigCat. After latest setting values are downloaded, they are stored in the internal cache then all requests are served from there. Read more about Polling Modes and how to use them at ConfigCat Docs.","ref":"readme.html#polling-modes","title":"ConfigCat SDK for Elixir - Polling Modes","type":"extras"},{"doc":"https://configcat.com/support","ref":"readme.html#need-help","title":"ConfigCat SDK for Elixir - Need help?","type":"extras"},{"doc":"Contributions are welcome. For more info please read the Contribution Guideline.","ref":"readme.html#contributing","title":"ConfigCat SDK for Elixir - Contributing","type":"extras"},{"doc":"Official ConfigCat SDKs for other platformsDocumentationBlog","ref":"readme.html#about-configcat","title":"ConfigCat SDK for Elixir - About ConfigCat","type":"extras"}]